import subprocess
import csv

csvread = csv.DictReader(open('Manalink - original.csv', 'r'), delimiter = ';', quotechar = '"')

all_sets = False

sets = {
        
}

if not sets:
        all_sets = True

set_map = {}
set_nums = []

foo = {}
output = []
total = 0

start = False

fields = csvread.fieldnames
display = False
for field in fields:
        if field == "(B) Block":
                display = True
        if field == "Future Expansion":
                display = False
        if display:
                print field

print ""

for row in csvread:
#       This removes all secondary locations
        if not all_sets:
                row["Expansions Rarity"] = '0h'
        
        if ((
#       Add names to the end of this to exclude those cards
                row["Expansion"] == "Expansion" or
                row["Expansion"] == "1000h" or
                row["Expansion"] == '""' or
                row["Expansion"] == '0h' or
                row["Expansion"] == '200h' or
                row["Full Name"] == "Forest" or
                row["Full Name"] == "Island" or
                row["Full Name"] == "Mountain" or
                row["Full Name"] == "Plains" or
                row["Full Name"] == "Swamp" or
                row["Full Name"] == "Command Tower"
            ) and (
#       These cards have no original expansion, but we don't want to exclude them.
                row["Full Name"] != "Illusionary Mask" and
                row["Full Name"] != "Mana Crypt" and
                row["Full Name"] != "Nalathni Dragon" and
                row["Full Name"] != "Sewers of Estark" and
                row["Full Name"] != "Windseeker Centaur" and
                row["Full Name"] != "Giant Badger" and
                row["Full Name"] != "Arena"
            )):
                output.append(row)
                continue
        
        if not all_sets:
                found = False
                indicator = "none";
                for set_name in sets:
                        if row[set_name] != '-':
                                indicator = row[set_name];
                                found = True
                if not found:
                        if row["Expansion"] == '800h':
                                row["Expansion"] = '1000h'
                        output.append(row)
                        continue
                #print row["Full Name"] + " - " + indicator
        row["Expansion"] = '800h'
        total = total + 1
        output.append(row)

print "writing!"

with open('Manalink.csv', 'wb') as outfile:
    writer = csv.DictWriter(outfile, fields, delimiter = ';', quotechar = '"')
    writer.writeheader()
    writer.writerows(output)

results = subprocess.check_output("csv2dat.exe", shell=True)
print ""
if (results != ""):
        print results
else:
        subprocess.call("move /Y *.dat ..", shell=True)
        print "Done adding " + str(total) + " cards to Unlimited packs."
